GCC Bugzilla has been upgraded from version 4.4.9 to 5.0rc3. If you see any problem, please report it to bug 64968.
Bug 38642 - [4.6/4.7/4.8 Regression] Code with -fPIC results in segfault on ARM (old ABI)
Summary: [4.6/4.7/4.8 Regression] Code with -fPIC results in segfault on ARM (old ABI)
Status: RESOLVED WONTFIX
Alias: None
Product: gcc
Classification: Unclassified
Component: target (show other bugs)
Version: unknown
: P4 normal
Target Milestone: 4.6.4
Assignee: Not yet assigned to anyone
URL:
Keywords: ice-on-valid-code
Depends on:
Blocks:
 
Reported: 2008-12-27 16:49 UTC by Martin Michlmayr
Modified: 2012-11-09 23:17 UTC (History)
4 users (show)

See Also:
Host:
Target: arm-linux-gnu
Build:
Known to work: 4.2.4
Known to fail:
Last reconfirmed:


Attachments
testcase (627 bytes, application/octet-stream)
2008-12-27 16:50 UTC, Martin Michlmayr
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Michlmayr 2008-12-27 16:49:57 UTC
[ Forwarded from http://bugs.debian.org/487406 ]

Enrico Zini reported the following bug (with testcase) to Debian: the attached
code compiled with -fPIC results in a segfault on ARM (old ABI; not on EABI).

It works fine on other architectures or on ARM with gcc 4.2.

I verified that the bug is present in gcc 4.3 from SVN and in trunk.
Comment 1 Martin Michlmayr 2008-12-27 16:50:28 UTC
Created attachment 16991 [details]
testcase
Comment 2 Richard Biener 2009-01-03 15:28:27 UTC
only arm-eabi is in the list of primary/secondary targets.
Comment 3 Richard Biener 2009-01-24 10:21:07 UTC
GCC 4.3.3 is being released, adjusting target milestone.
Comment 4 Ramana Radhakrishnan 2009-07-10 09:45:07 UTC
Does this still occur on trunk ?
Comment 5 Mikael Pettersson 2009-07-11 15:23:10 UTC
The bug occurs on OABI with gcc-4.3-20090705 but not with gcc-4.4-20090707.
Comment 6 Mikael Pettersson 2009-07-19 22:29:16 UTC
This was fixed for 4.4 by revision 133117, which did a fair amount of stack frame management changes. Applying that change to 4.3-20090712 fixes this test case also for 4.3.

I'm not in a position to do a full regression test of an OABI toolchain, but I may have time to test that it doesn't cause regressions for EABI.
Comment 7 Richard Biener 2009-08-04 12:29:41 UTC
GCC 4.3.4 is being released, adjusting target milestone.
Comment 8 Richard Biener 2010-05-22 18:13:02 UTC
GCC 4.3.5 is being released, adjusting target milestone.
Comment 9 Richard Biener 2011-06-27 12:12:57 UTC
4.3 branch is being closed, moving to 4.4.7 target.
Comment 10 Jakub Jelinek 2012-03-13 12:45:38 UTC
4.4 branch is being closed, moving to 4.5.4 target.
Comment 11 Steven Bosscher 2012-11-09 23:17:01 UTC
Old ABI is no longer supported